﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace StimulsoftWpfApplication
{
    public class Book
    {
        public string Title { get; set; }
        public int Id { get; set; }
        public Author Author { get; set; }

        public Book() { }

        public Book(int id, string title)
        {
            this.Title = title;
            this.Id = id;            
        }

        public Book(int id, string title, Author author)
        {
            this.Title = title;
            this.Id = id;
            this.Author = author;
        }
    }

    public class Author
    {
        public int Id { get; set; }
        public Person Person { get; set; }

        public Author() { }

        public Author(int id, Person person)
        {
            this.Person = person;
            this.Id = id;
        }
    }

    public class Person
    {
        public string FirstName { get; set; }
        public string LastName { get; set; }
        public Contact Contact { get; set; }

        public Person() { }

        public Person(string firstName, string lastName)
        {
            this.FirstName = firstName;
            this.LastName = lastName;
        }
    }

    public class Contact
    {
        public string Type { get; set; }
        public string Value { get; set; }

        public Contact(string type, string value)
        {
            this.Type = type;
            this.Value = value;
        }
    }
    
}
