﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Stimulsoft.Report;
using Stimulsoft.Report.Components;

namespace StimulsoftWpfApplication
{
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private List<Book> Books = new List<Book>();

        private void FillData()
        {
            Person p1 = new Person("Mary", "Poppins");
            Person p2 = new Person("Ignacy", "Ignacy");
            Person p3 = new Person("Jan", "Kowalski");
            Person p4 = new Person("John", "Smith");

            p1.Contact = new Contact("email", "mary@mary.com");
            p2.Contact = new Contact("phone", "123456789");
            p3.Contact = new Contact("email", "someone@somewhere.com");
            p4.Contact = new Contact("phone", "111111111");

            Author a1 = new Author(1, p1);
            Author a2 = new Author(2, p2);
            Author a3 = new Author(3, p3);
            Author a4 = new Author(4, p4);

            Books.Add(new Book(1, "Harry Potter and the Business Object", a1));
            Books.Add(new Book(2, "Harry Potter and the Template of the Report", a2));
            Books.Add(new Book(3, "Harry Potter and the Code of the Program", a3));
            Books.Add(new Book(4, "Harry Potter and the Handler of Commands", a4));            
        }             

        private void butDesign_Click(object sender, RoutedEventArgs e)
        {           
            StiReport r = new StiReport();
            r.Load("..\\..\\Report.mrt");

            if (Books.Count == 0)
                FillData();

            r.RegBusinessObject("Books", Books);
            r.Dictionary.SynchronizeBusinessObjects(4);

            r.DesignWithWpf();
        }

        private void butShow_Click(object sender, RoutedEventArgs e)
        {            
            StiReport r = new StiReport();
            r.Load("..\\..\\Report.mrt");

            if (Books.Count == 0)
                FillData();

            r.RegBusinessObject("Books", Books);
                       
            r.ShowWithWpf();
        }       
    }
}
